Bookings
Cancel a Booking
Cancels a Booking
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
event_booking_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.members.dev/portal/v1/bookings/string/cancel" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"event_id": "string",
"recurring_event_id": "string",
"original_starts_at_local": {},
"member_id": "string",
"resource_id": "string",
"starts_at_local": null,
"ends_at_local": null,
"timezone": "string",
"status": "string",
"is_schedule_desynced": true,
"price_rule_id": "string",
"price_amount": 0,
"currency": "string",
"price_deductions": [
{}
],
"invoice_id": "string",
"payment_id": "string",
"held_until": {},
"cancelled_at": {},
"cancellation_notes": "string",
"cancellation_invoice_id": "string",
"cancellation_credit_note_id": "string",
"stripe": {
"payment_intent_id": "string",
"client_secret": "string",
"provider_account_id": "string"
},
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}